Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlSelectManyCheckbox

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany
                          javax.faces.component.html.HtmlSelectManyCheckbox

All Implemented Interfaces:
  EventListener, ClientBehaviorHolder, EditableValueHolder, PartialStateHolder, StateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class HtmlSelectManyCheckbox

extends UISelectMany
implements ClientBehaviorHolder

Represents a multiple-selection component that is rendered as a set of HTML `input` elements of type `checkbox`.

By default, the `rendererType` property must be set to "`javax.faces.Checkbox`". This value can be changed by calling the `setRendererType()` method.

Nested Class Summary
`protected static class` | `HtmlSelectManyCheckbox.PropertyKeys`

Field Summary
`static String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UISelectMany
`COMPONENT_FAMILY, INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlSelectManyCheckbox()`

Method Summary
`String` | `getAccesskey()` Return the value of the `accesskey` property.
`int` | `getBorder()` Return the value of the `border` property.
`String` | `getDefaultEventName()` This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`.
`String` | `getDir()` Return the value of the `dir` property.
`String` | `getDisabledClass()` Return the value of the `disabledClass` property.
`String` | `getEnabledClass()` Return the value of the `enabledClass` property.
`Collection<String>` | `getEventNames()` This is a default implementation of `ClientBehaviorHolder.getEventNames()`.
`String` | `getLabel()` Return the value of the `label` property.
`String` | `getLang()` Return the value of the `lang` property.
`String` | `getLayout()` Return the value of the `layout` property.
`String` | `getOnblur()` Return the value of the `onblur` property.
`String` | `getOnchange()` Return the value of the `onchange` property.
`String` | `getOnclick()` Return the value of the `onclick` property.
`String` | `getOndblclick()` Return the value of the `ondblclick` property.
`String` | `getOnfocus()` Return the value of the `onfocus` property.
`String` | `getOnkeydown()` Return the value of the `onkeydown` property.
`String` | `getOnkeypress()` Return the value of the `onkeypress` property.
`String` | `getOnkeyup()` Return the value of the `onkeyup` property.
`String` | `getOnmousedown()` Return the value of the `onmousedown` property.
`String` | `getOnmousemove()` Return the value of the `onmousemove` property.
`String` | `getOnmouseout()` Return the value of the `onmouseout` property.
`String` | `getOnmouseover()` Return the value of the `onmouseover` property.
`String` | `getOnmouseup()` Return the value of the `onmouseup` property.
`String` | `getOnselect()` Return the value of the `onselect` property.
`String` | `getSelectedClass()` Return the value of the `selectedClass` property.
`String` | `getStyle()` Return the value of the `style` property.
`String` | `getStyleClass()` Return the value of the `styleClass` property.
`String` | `getTabindex()` Return the value of the `tabindex` property.
`String` | `getTitle()` Return the value of the `title` property.
`String` | `getUnselectedClass()` Return the value of the `unselectedClass` property.
`boolean` | `isDisabled()` Return the value of the `disabled` property.
`boolean` | `isReadonly()` Return the value of the `readonly` property.
`void` | `setAccesskey(String accesskey)` Set the value of the `accesskey` property.
`void` | `setBorder(int border)` Set the value of the `border` property.
`void` | `setDir(String dir)` Set the value of the `dir` property.
`void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
`void` | `setDisabledClass(String disabledClass)` Set the value of the `disabledClass` property.
`void` | `setEnabledClass(String enabledClass)` Set the value of the `enabledClass` property.
`void` | `setLabel(String label)` Set the value of the `label` property.
`void` | `setLang(String lang)` Set the value of the `lang` property.
`void` | `setLayout(String layout)` Set the value of the `layout` property.
`void` | `setOnblur(String onblur)` Set the value of the `onblur` property.
`void` | `setOnchange(String onchange)` Set the value of the `onchange` property.
`void` | `setOnclick(String onclick)` Set the value of the `onclick` property.
`void` | `setOndblclick(String ondblclick)` Set the value of the `ondblclick` property.
`void` | `setOnfocus(String onfocus)` Set the value of the `onfocus` property.
`void` | `setOnkeydown(String onkeydown)` Set the value of the `onkeydown` property.
`void` | `setOnkeypress(String onkeypress)` Set the value of the `onkeypress` property.
`void` | `setOnkeyup(String onkeyup)` Set the value of the `onkeyup` property.
`void` | `setOnmousedown(String onmousedown)` Set the value of the `onmousedown` property.
`void` | `setOnmousemove(String onmousemove)` Set the value of the `onmousemove` property.
`void` | `setOnmouseout(String onmouseout)` Set the value of the `onmouseout` property.
`void` | `setOnmouseover(String onmouseover)` Set the value of the `onmouseover` property.
`void` | `setOnmouseup(String onmouseup)` Set the value of the `onmouseup` property.
`void` | `setOnselect(String onselect)` Set the value of the `onselect` property.
`void` | `setReadonly(boolean readonly)` Set the value of the `readonly` property.
`void` | `setSelectedClass(String selectedClass)` Set the value of the `selectedClass` property.
`void` | `setStyle(String style)` Set the value of the `style` property.
`void` | `setStyleClass(String styleClass)` Set the value of the `styleClass` property.
`void` | `setTabindex(String tabindex)` Set the value of the `tabindex` property.
`void` | `setTitle(String title)` Set the value of the `title` property.
`void` | `setUnselectedClass(String unselectedClass)` Set the value of the `unselectedClass` property.

Methods inherited from class javax.faces.component.UISelectMany
`compareValues, getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression, validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlSelectManyCheckbox

    public HtmlSelectManyCheckbox()

Method Detail

### getAccesskey

    public String getAccesskey()

  Return the value of the `accesskey` property.

  Contents: Access key that, when pressed, transfers focus to this element.

### setAccesskey

    public void setAccesskey(String accesskey)

  Set the value of the `accesskey` property.

### getBorder

    public int getBorder()

  Return the value of the `border` property.

  Contents: Width (in pixels) of the border to be drawn around the table containing the options list.

### setBorder

    public void setBorder(int border)

  Set the value of the `border` property.

### getDir

    public String getDir()

  Return the value of the `dir` property.

  Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

### setDir

    public void setDir(String dir)

  Set the value of the `dir` property.

### isDisabled

    public boolean isDisabled()

  Return the value of the `disabled` property.

  Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as disabled="disabled".

### setDisabled

    public void setDisabled(boolean disabled)

  Set the value of the `disabled` property.

### getDisabledClass

    public String getDisabledClass()

  Return the value of the `disabledClass` property.

  Contents: CSS style class to apply to the rendered label on disabled options.

### setDisabledClass

    public void setDisabledClass(String disabledClass)

  Set the value of the `disabledClass` property.

### getEnabledClass

    public String getEnabledClass()

  Return the value of the `enabledClass` property.

  Contents: CSS style class to apply to the rendered label on enabled options.

### setEnabledClass

    public void setEnabledClass(String enabledClass)

  Set the value of the `enabledClass` property.

### getLabel

    public String getLabel()

  Return the value of the `label` property.

  Contents: A localized user presentable name for this component.

### setLabel

    public void setLabel(String label)

  Set the value of the `label` property.

### getLang

    public String getLang()

  Return the value of the `lang` property.

  Contents: Code describing the language used in the generated markup for this component.

### setLang

    public void setLang(String lang)

  Set the value of the `lang` property.

### getLayout

    public String getLayout()

  Return the value of the `layout` property.

  Contents: Orientation of the options list to be created. Valid values are "pageDirection" (list is laid out vertically), or "lineDirection" (list is laid out horizontally). If not specified, the default value is "lineDirection".

### setLayout

    public void setLayout(String layout)

  Set the value of the `layout` property.

### getOnblur

    public String getOnblur()

  Return the value of the `onblur` property.

  Contents: Javascript code executed when this element loses focus.

### setOnblur

    public void setOnblur(String onblur)

  Set the value of the `onblur` property.

### getOnchange

    public String getOnchange()

  Return the value of the `onchange` property.

  Contents: Javascript code executed when this element loses focus and its value has been modified since gaining focus.

### setOnchange

    public void setOnchange(String onchange)

  Set the value of the `onchange` property.

### getOnclick

    public String getOnclick()

  Return the value of the `onclick` property.

  Contents: Javascript code executed when a pointer button is clicked over this element.

### setOnclick

    public void setOnclick(String onclick)

  Set the value of the `onclick` property.

### getOndblclick

    public String getOndblclick()

  Return the value of the `ondblclick` property.

  Contents: Javascript code executed when a pointer button is double clicked over this element.

### setOndblclick

    public void setOndblclick(String ondblclick)

  Set the value of the `ondblclick` property.

### getOnfocus

    public String getOnfocus()

  Return the value of the `onfocus` property.

  Contents: Javascript code executed when this element receives focus.

### setOnfocus

    public void setOnfocus(String onfocus)

  Set the value of the `onfocus` property.

### getOnkeydown

    public String getOnkeydown()

  Return the value of the `onkeydown` property.

  Contents: Javascript code executed when a key is pressed down over this element.

### setOnkeydown

    public void setOnkeydown(String onkeydown)

  Set the value of the `onkeydown` property.

### getOnkeypress

    public String getOnkeypress()

  Return the value of the `onkeypress` property.

  Contents: Javascript code executed when a key is pressed and released over this element.

### setOnkeypress

    public void setOnkeypress(String onkeypress)

  Set the value of the `onkeypress` property.

### getOnkeyup

    public String getOnkeyup()

  Return the value of the `onkeyup` property.

  Contents: Javascript code executed when a key is released over this element.

### setOnkeyup

    public void setOnkeyup(String onkeyup)

  Set the value of the `onkeyup` property.

### getOnmousedown

    public String getOnmousedown()

  Return the value of the `onmousedown` property.

  Contents: Javascript code executed when a pointer button is pressed down over this element.

### setOnmousedown

    public void setOnmousedown(String onmousedown)

  Set the value of the `onmousedown` property.

### getOnmousemove

    public String getOnmousemove()

  Return the value of the `onmousemove` property.

  Contents: Javascript code executed when a pointer button is moved within this element.

### setOnmousemove

    public void setOnmousemove(String onmousemove)

  Set the value of the `onmousemove` property.

### getOnmouseout

    public String getOnmouseout()

  Return the value of the `onmouseout` property.

  Contents: Javascript code executed when a pointer button is moved away from this element.

### setOnmouseout

    public void setOnmouseout(String onmouseout)

  Set the value of the `onmouseout` property.

### getOnmouseover

    public String getOnmouseover()

  Return the value of the `onmouseover` property.

  Contents: Javascript code executed when a pointer button is moved onto this element.

### setOnmouseover

    public void setOnmouseover(String onmouseover)

  Set the value of the `onmouseover` property.

### getOnmouseup

    public String getOnmouseup()

  Return the value of the `onmouseup` property.

  Contents: Javascript code executed when a pointer button is released over this element.

### setOnmouseup

    public void setOnmouseup(String onmouseup)

  Set the value of the `onmouseup` property.

### getOnselect

    public String getOnselect()

  Return the value of the `onselect` property.

  Contents: Javascript code executed when text within this element is selected by the user.

### setOnselect

    public void setOnselect(String onselect)

  Set the value of the `onselect` property.

### isReadonly

    public boolean isReadonly()

  Return the value of the `readonly` property.

  Contents: Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly".

### setReadonly

    public void setReadonly(boolean readonly)

  Set the value of the `readonly` property.

### getSelectedClass

    public String getSelectedClass()

  Return the value of the `selectedClass` property.

  Contents: CSS style class to apply to the rendered label on selected options.

### setSelectedClass

    public void setSelectedClass(String selectedClass)

  Set the value of the `selectedClass` property.

### getStyle

    public String getStyle()

  Return the value of the `style` property.

  Contents: CSS style(s) to be applied when this component is rendered.

### setStyle

    public void setStyle(String style)

  Set the value of the `style` property.

### getStyleClass

    public String getStyleClass()

  Return the value of the `styleClass` property.

  Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

### setStyleClass

    public void setStyleClass(String styleClass)

  Set the value of the `styleClass` property.

### getTabindex

    public String getTabindex()

  Return the value of the `tabindex` property.

  Contents: Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.

### setTabindex

    public void setTabindex(String tabindex)

  Set the value of the `tabindex` property.

### getTitle

    public String getTitle()

  Return the value of the `title` property.

  Contents: Advisory title information about markup elements generated for this component.

### setTitle

    public void setTitle(String title)

  Set the value of the `title` property.

### getUnselectedClass

    public String getUnselectedClass()

  Return the value of the `unselectedClass` property.

  Contents: CSS style class to apply to the rendered label on unselected options.

### setUnselectedClass

    public void setUnselectedClass(String unselectedClass)

  Set the value of the `unselectedClass` property.

### getEventNames

    public Collection<String> getEventNames()

  Description copied from class: `UIComponentBase`

  This is a default implementation of `ClientBehaviorHolder.getEventNames()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must override this method to return a non-Empty `Collection` of the client event names that the component supports.

  Specified by:
    `getEventNames` in interface `ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Description copied from class: `UIComponentBase`

  This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must provide an implementation of `ClientBehaviorHolder.getEventNames()`.

  Specified by:
    `getDefaultEventName` in interface `ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `UIComponentBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.